List role assignments
GET
/role-assignments
const url = 'https://example.com/api/v1/role-assignments';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/role-assignments \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”userId
string format: uuid
teamId
string format: uuid
roleId
string format: uuid
Responses
Section titled “Responses”Assignments, oldest first.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
roleId
required
string format: uuid
userId
string format: uuid
teamId
string format: uuid
scope
required
Where an assignment applies. GLOBAL covers everything; TEAM covers the
servers the team owns (set teamId); SERVER covers one server (set
serverId).
object
kind
required
string
teamId
string format: uuid
serverId
string format: uuid
createdAt
required
string format: date-time
Example
{ "items": [ { "scope": { "kind": "GLOBAL" } } ]}The request is invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Signed in, but not allowed.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.